<?php

# Copyright (c) 2013 Shin Fujihara
# Licensed under the MIT license

auth_reauthenticate( );
access_ensure_global_level( config_get( 'manage_plugin_threshold' ) );

html_page_top( plugin_lang_get( 'title' ) );

print_manage_menu( );


//ユーザー情報を取得
$t_user_table = db_get_table( 'mantis_user_table' );

$query = "SELECT id,username
    FROM $t_user_table
    ORDER BY username";
$result = db_query_bound( $query );
$user_count = db_num_rows( $result );

$rows = array();
for ($i = 0; $i < $user_count; $i++) {
	$rows[] = db_fetch_array($result);
}


$userid = gpc_get_int('userid', 0);
$error_name = "";

//初回表示
if ( $userid === 0 ) {
	$userid = $rows[0]['id'];
	
//ファイルアップロード実行時
} else {
	if (is_uploaded_file($_FILES["upfile"]["tmp_name"])) {
	
		form_security_validate("plugin_avatar_config");
		
		$file_info = @getimagesize($_FILES["upfile"]["tmp_name"]);
		if ($file_info) {
			
			$fp = fopen($_FILES["upfile"]["tmp_name"], "rb");
			$imgdat = fread($fp, filesize($_FILES["upfile"]["tmp_name"]));
			fclose($fp);
		
			$imgdat = addslashes($imgdat);
		
			$query = "REPLACE " . plugin_table("avatar") . " (id,mime,avater) 
			VALUES (" . $userid . ",'" . $file_info['mime'] . "','" . $imgdat . "')";
		
			db_query( $query );
			
			form_security_purge("plugin_avatar_config");
			
		} else {
			$error_name = "not_image";
		}
		
	} else {
		$error_name = "not_select";
	}
}

?>
<script type="text/javascript">
<!--
function imageChange() {
	var combo = document.getElementById('userid');
	var id = combo[combo.selectedIndex].value;
	var avatar_image = document.getElementById('avatar_image');
	avatar_image.src = "<?php echo plugin_page( 'image' )?>&id=" + id;
	
}

//-->
</script>
<br />
<form action="<?php echo plugin_page( 'config' )?>" method="post" enctype="multipart/form-data">
<?php echo form_security_field( 'plugin_avatar_config' ) ?>
<table align="center" class="width75" cellspacing="1">

<tr>
	<td class="form-title" colspan="2">
		<?php echo plugin_lang_get( 'title' ) . ': ' . plugin_lang_get( 'config' )?>
	</td>
	<td class="form-title" colspan="2">
		<div style="color:red"><?php if($error_name != ""){ echo plugin_lang_get( 'error_' . $error_name ); } ?></div>
	</td>
</tr>

<tr <?php echo helper_alternate_class( )?>>
	<td class="category">
		<?php echo plugin_lang_get( 'user_name' )?>
	</td>
	<td class="center">
		<?php echo plugin_lang_get( 'now_avatar' )?>
	</td>
	<td class="center">
		<?php echo plugin_lang_get( 'file_select' )?>
	</td>
</tr>

<tr <?php echo helper_alternate_class( )?>>
	<td class="category">
		<select name="userid" id="userid" onChange="imageChange()">
		<?php
		foreach ($rows as $row) {
			echo '<option value="' . $row['id'] . '"';
			check_selected( $row['id'], $userid );
			echo '>' . $row['username'] . '</option>';
		}
		?>
		</select>
	</td>
	<td class="center">
		<img id="avatar_image" src="<?php echo plugin_page( 'image' ) . "&id=$userid" ?>" />
   </td>
   <td class="center">
		<input type="file" name="upfile" />
	</td>
</tr>

<tr class="spacer"><td></td></tr>

<tr>
	<td class="center" colspan="3">
		<input type="submit" class="button" value="<?php echo lang_get( 'change_configuration' )?>" />
	</td>
</tr>

</table>
<form>

<?php
html_page_bottom();
